Document
Get Document
Returns a specific document belonging to the authenticated user’s account.
GET
/
documents
/
{documentId}
Get Document
curl --request GET \
--url https://api.fortiseval.com/v1/documents/{documentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fortiseval.com/v1/documents/{documentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fortiseval.com/v1/documents/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fortiseval.com/v1/documents/{documentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fortiseval.com/v1/documents/{documentId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fortiseval.com/v1/documents/{documentId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fortiseval.com/v1/documents/{documentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"title": "<string>",
"document_type": "credential_evaluation",
"document_category": "vital",
"document_role": "source",
"file_name": "<string>",
"file_ext": "<string>",
"mime_type": "<string>",
"size": 123,
"page_count": 123,
"word_count": 123,
"character_count": 123,
"source_language_code": "<string>",
"source_language": "<string>",
"metadata": [
"<unknown>"
],
"analysis_completed_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}Authorizations
Response
200 - application/json
Document
Available options:
credential_evaluation, translation, certified_translation, diploma, transcript, cv, professional_license, enrollment_report, id, passport, letter, recommendation_letter, expert_opinion_letter, work_experience_letter, admission_letter, portfolio, research_paper, certificate, birth_certificate, marriage_certificate, name_change_document, verification_letter, thesis, course_outline, background_check_report, medical_certificate, financial_statement, military_service_record, training_certificate, linkedin_profile, language_proficiency_certificate, deans_list_certificate, grade_report, academic_award, patent_document, membership_document, other Available options:
vital, government, academic, financial, marketing, personal, professional, medical, legal, technical, identification, employment, immigration, property, intellectual_property, communication, research, security, military, certification, transportation, insurance, environmental, entertainment, cultural, other Get Document
curl --request GET \
--url https://api.fortiseval.com/v1/documents/{documentId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fortiseval.com/v1/documents/{documentId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fortiseval.com/v1/documents/{documentId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fortiseval.com/v1/documents/{documentId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fortiseval.com/v1/documents/{documentId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fortiseval.com/v1/documents/{documentId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fortiseval.com/v1/documents/{documentId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"title": "<string>",
"document_type": "credential_evaluation",
"document_category": "vital",
"document_role": "source",
"file_name": "<string>",
"file_ext": "<string>",
"mime_type": "<string>",
"size": 123,
"page_count": 123,
"word_count": 123,
"character_count": 123,
"source_language_code": "<string>",
"source_language": "<string>",
"metadata": [
"<unknown>"
],
"analysis_completed_at": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}